public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Johannes Huber" <johu@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/kaffeine/
Date: Fri,  1 Jul 2016 16:36:21 +0000 (UTC)	[thread overview]
Message-ID: <1467390973.dea0d7cb288c98c18c58c4aa55816e8cc77fdae7.johu@gentoo> (raw)

commit:     dea0d7cb288c98c18c58c4aa55816e8cc77fdae7
Author:     Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  1 16:35:58 2016 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Fri Jul  1 16:36:13 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dea0d7cb

media-video/kaffeine: Version bump 2.0.4

Package-Manager: portage-2.3.0

 media-video/kaffeine/Manifest              |  1 +
 media-video/kaffeine/kaffeine-2.0.4.ebuild | 66 ++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/media-video/kaffeine/Manifest b/media-video/kaffeine/Manifest
index 7524e7b..4331821 100644
--- a/media-video/kaffeine/Manifest
+++ b/media-video/kaffeine/Manifest
@@ -1,3 +1,4 @@
 DIST kaffeine-1.2.2.tar.gz 489727 SHA256 b6476a93ddbf84142d4fe29f0757de871e11ce6ca32590affe863a75a231c8cb SHA512 31db518943c223e635822369548949a0c2162cdbbe59edbadb77f4820acf697293d67681553d5552b9435471240fee551786c8c652f1ae5ab9cfe9b8a9cf4459 WHIRLPOOL 232f4875398c4ce889cbf1f3d0aeadefce09d5c6ed64aaf82df9fb57472b7fc814f20fb0fec54db715b45965ff79ae2ae064bb008c4c5fcf96d5b4dd3c860157
 DIST kaffeine-1.3.1.tar.gz 1011607 SHA256 af3abe58e038478a0e50449d414c4885ff3e7a898724cf4216054a0360838aa6 SHA512 c0674153147dea231f8b1cd1d6de245d4af13893904937856371d9e1f2bd1b8df4d4389b324a02b34630cebb134ae47e9c405bcfa909b7fa680e2ff034db4471 WHIRLPOOL 49e5f528223b651e9f46fc44f0a94f69d15e743af31e53192473b95bb338b03bfcc93861343496ca29a55d8356ddf58789c75ed493beee42b22b47a69c083fea
 DIST kaffeine-2.0.3.tar.xz 1770836 SHA256 dd993e14a109676e56ad30bd7254e0b59cb39db3a75189e4169bc9bde0ac278f SHA512 dc0b4538e672afbc82ad8aa67561a909d7c88d5049e1c9ab7796a5c1365275010c3b7a24929021c9fd959bc3c1d2a4dfa86082afcd506626e841e28d574ff21c WHIRLPOOL c509cca114e3afcbc45964e11020882fad19642fbe3635d3c507dab5308d94e5ae138586d44bece7e086be17929564ff686e159f1a8461bf85378cbb32a47bf1
+DIST kaffeine-2.0.4.tar.xz 1993776 SHA256 b9b22a1e8503a49bcf70feaa5443a30c3c99a9da6e3d5b7fe82c1d98602c0166 SHA512 bb27f967d8106425d8b9f60f157a6bc8372b1fb0d0b28319d447f4ff8b81ed821569f9554940aaf2d35457ae195a7b783b25012ac5839b4213209dcc82ff93e0 WHIRLPOOL 5f7f4e52254054674269a71205153a66faefaae6e8bebce17c12d357d79c7731d7a271827f3fb608134f11b0d0f2695d0d13b999c7d2c086b1f9a386c67d6647

diff --git a/media-video/kaffeine/kaffeine-2.0.4.ebuild b/media-video/kaffeine/kaffeine-2.0.4.ebuild
new file mode 100644
index 0000000..dc4673b
--- /dev/null
+++ b/media-video/kaffeine/kaffeine-2.0.4.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="Media player with digital TV support by KDE"
+HOMEPAGE="https://kaffeine.kde.org/"
+SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.xz"
+
+LICENSE="GPL-2 FDL-1.2"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+CDEPEND="
+	$(add_frameworks_dep kconfig)
+	$(add_frameworks_dep kconfigwidgets)
+	$(add_frameworks_dep kcoreaddons)
+	$(add_frameworks_dep kdbusaddons)
+	$(add_frameworks_dep ki18n)
+	$(add_frameworks_dep kio)
+	$(add_frameworks_dep kwidgetsaddons)
+	$(add_frameworks_dep kxmlgui)
+	$(add_frameworks_dep solid)
+	$(add_qt_dep qtdbus)
+	$(add_qt_dep qtgui)
+	$(add_qt_dep qtnetwork)
+	$(add_qt_dep qtsql 'sqlite')
+	$(add_qt_dep qtwidgets)
+	$(add_qt_dep qtx11extras)
+	$(add_qt_dep qtxml)
+	media-libs/libv4l
+	media-video/vlc[X]
+	x11-libs/libXScrnSaver
+"
+DEPEND="${CDEPEND}
+	sys-devel/gettext
+	virtual/pkgconfig
+"
+RDEPEND="${CDEPEND}
+	!media-video/kaffeine:4
+"
+
+DOCS=( Changelog NOTES README.md )
+
+src_prepare() {
+	kde5_src_prepare
+
+	# unused dependencies incorrectly added during the release process
+	# they do not appear in upstream git
+	sed -i \
+		-e "/find_package(KF5DocTools CONFIG REQUIRED)/d" \
+		-e "/kdoctools_install(po)/d" \
+		CMakeLists.txt || die
+}
+
+src_configure() {
+	# tools working on $HOME directory for a local git checkout
+	local mycmakeargs=(
+		-DBUILD_TOOLS=OFF
+	)
+
+	kde5_src_configure
+}


             reply	other threads:[~2016-07-01 16:36 UTC|newest]

Thread overview: 59+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-07-01 16:36 Johannes Huber [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-06 21:30 [gentoo-commits] repo/gentoo:master commit in: media-video/kaffeine/ Andreas Sturmlechner
2025-04-01 21:21 Andreas Sturmlechner
2025-01-24  7:06 Arthur Zamarin
2024-11-27 17:39 Andreas Sturmlechner
2024-11-27 17:39 Andreas Sturmlechner
2024-11-22 23:14 Andreas Sturmlechner
2024-11-22 23:14 Andreas Sturmlechner
2024-09-17 16:00 Sam James
2024-09-07 14:27 Sam James
2022-10-04  7:31 Agostino Sarubbo
2022-09-30 20:39 Sam James
2021-06-05 10:55 Mikle Kolyada
2021-06-05 10:53 Mikle Kolyada
2019-12-25 16:02 Andreas Sturmlechner
2019-06-20 10:37 Andreas Sturmlechner
2019-06-20  9:24 Mikle Kolyada
2019-06-18 18:24 Thomas Deutschmann
2019-05-15 10:38 Andreas Sturmlechner
2019-02-22 11:25 Mikle Kolyada
2019-02-15 18:29 Thomas Deutschmann
2019-02-07 15:15 Andreas Sturmlechner
2019-01-16  8:17 Andreas Sturmlechner
2018-07-09 16:23 Johannes Huber
2018-07-09 14:53 Mikle Kolyada
2018-07-04  3:17 Thomas Deutschmann
2018-05-05 14:43 Johannes Huber
2018-01-25 14:41 Michael Palimaka
2018-01-25 14:41 Michael Palimaka
2018-01-25 14:41 Michael Palimaka
2017-12-05 23:35 Andreas Sturmlechner
2017-12-02 18:33 Andreas Sturmlechner
2017-11-07 17:57 Thomas Deutschmann
2017-11-06 18:19 Andreas Sturmlechner
2017-11-06 18:19 Andreas Sturmlechner
2017-11-06 11:41 Manuel RĂ¼ger
2017-09-15 18:14 Johannes Huber
2017-09-15 11:55 Michael Palimaka
2017-08-20  2:25 Michael Palimaka
2017-07-19 16:33 Andreas Sturmlechner
2017-04-27 12:17 Michael Palimaka
2017-03-11 19:40 Johannes Huber
2017-03-10 22:58 Michael Palimaka
2017-02-22 20:46 Johannes Huber
2016-11-19 18:54 Johannes Huber
2016-11-19 18:44 Michael Palimaka
2016-10-09 16:17 Michael Palimaka
2016-08-05 16:59 Michael Palimaka
2016-08-05 16:59 Michael Palimaka
2016-07-07 17:52 Michael Palimaka
2016-06-23 16:03 Michael Palimaka
2016-06-23 16:03 Michael Palimaka
2016-06-12  7:52 Johannes Huber
2016-06-08 11:11 Johannes Huber
2016-06-03 14:42 Johannes Huber
2016-06-03 14:37 Johannes Huber
2016-04-11 18:14 Johannes Huber
2015-09-07  9:11 Lars Wendler
2015-09-07  8:56 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1467390973.dea0d7cb288c98c18c58c4aa55816e8cc77fdae7.johu@gentoo \
    --to=johu@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox